Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Class PanelDecorator

    java.lang.Object
      de.grogra.pf.ui.PanelDecorator

All Implemented Interfaces:
  Context, Panel, Disposable

Direct Known Subclasses:
  View

    public class PanelDecorator

extends java.lang.Object
implements Panel

This is a decorator class for `Panel`s.

Author:
  Ole Kniemeyer

Field Summary
`protected Panel` | `decorator`
`protected Panel` | `panel`

Fields inherited from interface de.grogra.pf.ui.Panel
`DEC_WAIT_CURSOR, DEFAULT_CURSOR, INC_WAIT_CURSOR, INHERIT_CURSOR, PANEL_ID, WAIT_CURSOR`

Constructor Summary
`PanelDecorator()`

Method Summary
`void` | `checkClose(Command ok)`
`void` | `dispose()`
`java.lang.Object` | `getComponent()` Determines the GUI component of this GUI context.
`ComponentWrapper` | `getContent()`
`Panel` | `getDecorator()`
`UITree` | `getMenu()`
`Panel` | `getPanel()` Determines the panel of this GUI context.
`java.lang.String` | `getPanelId()`
`java.util.Map` | `getUIPropertyMap()`
`Window` | `getWindow()` Determines the window of this GUI context.
`Workbench` | `getWorkbench()` Determines the workbench of this GUI context.
`void` | `initDecorator(Panel decorator)`
`void` | `initPanel(Panel panel)`
`Panel` | `resolve()`
`void` | `setContent(ComponentWrapper content)`
`void` | `setCursor(int cursor)`
`void` | `setMenu(UITree menu)`
`void` | `show(boolean moveToFront, Panel keepInFront)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### decorator

    protected Panel decorator

### panel

    protected Panel panel

Constructor Detail

### PanelDecorator

    public PanelDecorator()

Method Detail

### checkClose

    public void checkClose(Command ok)

  Specified by:
    `checkClose` in interface `Panel`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `Disposable`

### getComponent

    public java.lang.Object getComponent()

  Description copied from interface: `Context`
  Determines the GUI component of this GUI context.

  Specified by:
    `getComponent` in interface `Context`
  Returns:
    this context's component

### getContent

    public ComponentWrapper getContent()

  Specified by:
    `getContent` in interface `Panel`

### getDecorator

    public Panel getDecorator()

  Specified by:
    `getDecorator` in interface `Panel`

### getMenu

    public UITree getMenu()

  Specified by:
    `getMenu` in interface `Panel`

### getPanel

    public Panel getPanel()

  Description copied from interface: `Context`
  Determines the panel of this GUI context.

  Specified by:
    `getPanel` in interface `Context`
  Returns:
    this context's panel

### getPanelId

    public java.lang.String getPanelId()

  Specified by:
    `getPanelId` in interface `Panel`

### getUIPropertyMap

    public java.util.Map getUIPropertyMap()

  Specified by:
    `getUIPropertyMap` in interface `Panel`

### getWindow

    public Window getWindow()

  Description copied from interface: `Context`
  Determines the window of this GUI context.

  Specified by:
    `getWindow` in interface `Context`
  Returns:
    this context's window

### getWorkbench

    public Workbench getWorkbench()

  Description copied from interface: `Context`
  Determines the workbench of this GUI context.

  Specified by:
    `getWorkbench` in interface `Context`
  Returns:
    this context's workbench

### initDecorator

    public void initDecorator(Panel decorator)

  Specified by:
    `initDecorator` in interface `Panel`

### initPanel

    public void initPanel(Panel panel)

### resolve

    public Panel resolve()

  Specified by:
    `resolve` in interface `Panel`

### setContent

    public void setContent(ComponentWrapper content)

  Specified by:
    `setContent` in interface `Panel`

### setCursor

    public void setCursor(int cursor)

  Specified by:
    `setCursor` in interface `Panel`

### setMenu

    public void setMenu(UITree menu)

  Specified by:
    `setMenu` in interface `Panel`

### show

    public void show(boolean moveToFront,
                     Panel keepInFront)

  Specified by:
    `show` in interface `Panel`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD